@import "palette";

@mixin text_header($leftDash: false, $rightDash: false) {
  grid-area: header;
  text-transform: uppercase;
  display: block;
  margin: 0;
  font-weight: bold;
  font-size: 14px;
  color: $color_headerText;

  &::before  {
    content: "-";
    margin-right: 5px;
    display: none;
  }

  &::after  {
    content: "-";
    margin-left: 5px;
    display: none;
  }

  @if ($leftDash == true) {
    &::before  {
      display: initial;
    }
  }

  @if ($rightDash == true) {
    &::after  {
      display: initial;
    }
  }
}

@mixin text_subheader {
  display: block;
  margin: 0;
  font-weight: bold;
  font-size: 14px;
  color: $color_headerText;
}

@mixin text_regular($color: $color_regularText) {
  font-size: 11px;
  color: $color;
}